Skip to main content

Get all resident charges

GEThttps://api.propexo.com/v1/resident-charges/

The Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

resident_id string

The Propexo unique identifier for the resident

lease_id string

The Propexo unique identifier for the lease

transaction_date_start string | null

The start of the transaction date range to search. Inclusive.

transaction_date_end string | null

The end of the transaction date range to search. Inclusive.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident charge

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    GET /Charges
    Example: 16294
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    GET /Charges
    Example: 9
    x_gl_account_idstring | nullnullablerequired

    The external ID of the general ledger account from the integration vendor

    Method
    GET /Charges
    Example: 271
    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Method
    GET /Charges
    Example: 1
    x_lease_idstring | nullnullablerequired

    The external ID of the lease from the integration vendor

    Method
    GET /Charges
    Example: 1
    x_resident_idstring | nullnullablerequired

    The external ID of the resident from the integration vendor

    Method
    GET /Charges
    Example: 1
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    Method
    GET /Charges
    Example: 111
    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    Method
    GET /Charges
    Example: 131
    amount_in_centsnumber | nullnullablerequired

    The amount of the resident charge, in cents

    Method
    GET /Charges
    Example: 100
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    Method
    GET /Charges
    Example: 1.00
    amount_open_in_centsnullrequired

    The amount open on the resident charge, in cents

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    amount_open_rawnullrequired

    The raw value for open amount from the PMS

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    amount_paid_in_centsnullrequired

    The amount paid on the resident charge, in cents

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    amount_paid_rawnullrequired

    The raw value for amount paid from the PMS

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    due_datenullrequired

    The due date associated with the resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    namenullrequired

    The name associated with the resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    descriptionstring | nullnullablerequired

    Description of the resident charge

    Method
    GET /Charges
    Example: Rent
    reference_numbernullrequired

    The reference number for the resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    transaction_datestring | nullnullablerequired

    The transaction date of the resident charge

    Method
    GET /Charges
    Example: 2021-01-01T00:00:00.000Z
    transaction_sourcenullrequired

    The transaction source of the resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    is_opennullrequired

    Whether the resident charge is open and not yet settled

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    post_monthnullrequired

    The post month for the resident charge

    Notice

    This field will always be null for RENTMANAGER

    Example: null
    custom_data object | nullrequired
    object
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum21required

    The property management system of record

    Show 13 enum values
    RENTMANAGERAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTVINERESMANYARDIYARDI_REST
    Example: RENTMANAGER
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    resident_idstring | nullnullablerequired

    The Propexo unique identifier for the resident

    Method
    GET /Charges
    Example: cmod66xqz000604ibdwy0hnba
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    Method
    GET /Charges
    Example: clwqscdbx000108js2rc35l3f
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    Method
    GET /Charges
    Example: cmod677xn000704ibf74q458p
    lease_idstring | nullnullablerequired

    The Propexo unique identifier for the lease

    Method
    GET /Charges
    Example: cmod66p3f000504ib1cq6052w
    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    Method
    GET /Charges
    Example: cmod6690m000404iba8m81gbg
    allocations object[]required

    Array of payment allocations, splits, and related transactions associated with the resident charge

  • Array [
  • idstringrequired

    The Propexo unique identifier for the resident allocation

    Example: clwktsp9v000008l31iv218hn
    x_idstringrequired

    The external ID from the integration vendor

    x_source_idstring | nullnullablerequired

    The external ID of the source transaction from the integration vendor

    Notice

    This field is not currently hydrated for RENTMANAGER

    x_destination_idstring | nullnullablerequired

    The external ID of the destination transaction from the integration vendor

    Notice

    This field is not currently hydrated for RENTMANAGER

    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    Notice

    This field is not currently hydrated for RENTMANAGER

    amount_in_centsnumber | nullnullablerequired

    The amount of the resident allocation, in cents

    Notice

    This field is not currently hydrated for RENTMANAGER

    Example: 325000
    amount_rawstring | nullnullablerequired

    The raw value for amount from the PMS

    Notice

    This field is not currently hydrated for RENTMANAGER

    resident_charge_idstring | nullnullablerequired

    The Propexo unique identifier for the resident charge

    Notice

    This field is not currently hydrated for RENTMANAGER

    resident_payment_idstring | nullnullablerequired

    The Propexo unique identifier for the resident payment

    Notice

    This field is not currently hydrated for RENTMANAGER

    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    custom_data object | nullrequired
    object
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/resident-charges/
curl https://api.propexo.com/v1/resident-charges/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "16294",
"x_property_id": "9",
"x_gl_account_id": "271",
"x_location_id": "1",
"x_lease_id": "1",
"x_resident_id": "1",
"x_unit_id": "111",
"x_charge_code_id": "131",
"amount_in_cents": 100,
"amount_raw": "1.00",
"amount_open_in_cents": null,
"amount_open_raw": null,
"amount_paid_in_cents": null,
"amount_paid_raw": null,
"due_date": null,
"name": null,
"description": "Rent",
"reference_number": null,
"transaction_date": "2021-01-01T00:00:00.000Z",
"transaction_source": null,
"is_open": null,
"post_month": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RENTMANAGER",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": "cmod66xqz000604ibdwy0hnba",
"financial_account_id": "clwqscdbx000108js2rc35l3f",
"unit_id": "cmod677xn000704ibf74q458p",
"lease_id": "cmod66p3f000504ib1cq6052w",
"charge_code_id": "cmod6690m000404iba8m81gbg",
"allocations": [
{
"id": "clwktsp9v000008l31iv218hn",
"x_id": "string",
"x_source_id": "string",
"x_destination_id": "string",
"financial_account_id": "string",
"amount_in_cents": 325000,
"amount_raw": "string",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"custom_data": "Unknown Type: object,null"
}
]
}
]
}